# Uses of Class
org.apache.lucene.geo.GeoEncodingUtils.DistancePredicate

Packages that use GeoEncodingUtils.DistancePredicate
Package
Description
org.apache.lucene.geo
Core geo-spatial types and utilities for handling geographical data and spatial operations in Lucene.

- ## Uses of GeoEncodingUtils.DistancePredicate in org.apache.lucene.geo

  Methods in org.apache.lucene.geo that return GeoEncodingUtils.DistancePredicate
  Modifier and Type
  Method
  Description
  `static GeoEncodingUtils.DistancePredicate`
  GeoEncodingUtils.`createDistancePredicate(double lat, double lon, double radiusMeters)`
  Create a predicate that checks whether points are within a distance of a given point.